% Tests the convergence of the parameter distributions
% using Mann-Whitney rank tests.
%
% Returns a vector H with entries 0 or 1 if one abandons the 
% null hypotheiss or not for each data array
%
% Notes on May 12 2011
% Mariano Beguerisse Díaz

function H = convergenceTest(prior, posterior)

if size(prior, 2) ~=  size(posterior, 2)
    fprintf('\n ERROR: cannot check for convergence, ')
    fprintf('data sets are not comparable')
    H = NaN;
else
    N = size(prior, 2);
    % Initialize vector rejecting null hypothesis
    H = ones(1, N);
    
    for j=1:N
        x = prior(:, j);
        y = posterior(:, j);
    [p,h] = ranksum(x,y);
    H(j) = h;
    end
end
