% Function that gives you a point in the parameter space sampled
% from the empirical distribution in the data. Returns only positive
% values.
%
% uses emprand.m
%
% Mariano Beguerisse
% February 21 2011


function y = getRandParamsEmpirical(D)
  
  % get the dimension of the parameter space
  N = size(D, 2);
  
  y = zeros(1, N);
  
  for j=1:N
    % get random number from D(:,j)
    a = emprand(D(:,j));
    if a <= 10e-8 % No negs!
      a = 10e-7;
    end
    y(j) = a;
  end
  
