% Reads results files in the directory.
% Collects all the E matrices and puts them into one new,% sorted one
% varargin is used when we are looking for a different variable
% than E

function [Etot varargout] = loadResults(files, varargin)
  %Stot hst
  nout = max(nargout,1)-1;
  optargin = size(varargin,2);
  stdargin = nargin - optargin;

  % if a folder is specified
  if optargin==1
    folder = [varargin{1} '/'];
  else
    folder = '';
  end
  
  resFiles = dir([folder files]);
  n = length(resFiles);
  fprintf('\n\n')
  
  % Where all results will be stored
  Etot = [];
  Stot =[];
  hst = [];  % history
  for i=1:n
    fileName = [folder resFiles(i).name];
    fprintf('Loading %s\n', fileName)
    load(fileName);
    switch nout
     case 0
      Etot = [Etot; E];
     case 1
      Etot = [Etot; E];
      hst = [hst; history];
     case 2
      Etot = [Etot; E];
      hst = [hst; history];
      Stot = [Stot; S];
    end
  end
  fprintf('\nLoaded %i files.\n', n)
  Etot = sortrows(Etot);
  Stot = sortrows(Stot);
  
  switch nout
   case 1
    varargout(1) = {hst};
   case 2
    varargout(1) = {Stot};
    varargout(2) = {hst};
  end
    